package com.thinker.bishi.nanyang;

import java.util.Scanner;

/**
 * @author lzh
 * <p>a+b=?</p>
 */
public class Add {
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int a = in.nextInt(),b = in.nextInt();
        System.out.println(add(a,b));
    }

    /**
     * a+b=?
     * @param a a
     * @param b b
     * @return int
     */
    private static int add(int a,int b){
        int t ;
        while (b != 0){
            t = a^b;b = (a&b) << 1; a = t;
        }
        return a;
    }
}
